@echo off
setlocal enabledelayedexpansion

REM Carica le variabili d'ambiente dal file .env
if exist .env (
    for /f "usebackq tokens=*" %%i in (.env) do (
        set %%i
    )
) else (
    echo .env file not found. Please create one with JBOSS_HOME and JAVA_HOME variables.
    exit /b 1
)

REM Controlla se le variabili d'ambiente richieste sono impostate
if not defined JBOSS_HOME (
    echo JBOSS_HOME is not set. Please check your .env file.
    exit /b 1
)
if not defined JAVA_HOME (
    echo JAVA_HOME is not set. Please check your .env file.
    exit /b 1
)

REM Imposta la variabile di ambiente per Java
set "PATH=%JAVA_HOME%\bin;%PATH%"

echo JAVA_HOME = %JAVA_HOME%
echo JBOSS_HOME = %JBOSS_HOME%

REM Controlla se JBoss è già in esecuzione
tasklist | findstr /I "standalone.bat" >nul
if %errorlevel%==0 (
    echo JBoss è già in esecuzione
) else (
    echo Avvio di JBoss con standalone-full-stub.xml
    start /B cmd /c "%JBOSS_HOME%\bin\standalone.bat" -Djboss.server.config.dir=../../stub-war/standalone -c standalone-full.xml
)